NCLAT Order API

NCLAT Order API Retrieves detailed order information associated with a specific case in the NCLAT Court system. The API can be used to fetch order dates, order details, order status, and related case/order records based on case identification parameters such as case number, case year, case type, court, district, and state.

API Details

Request URL

POST
https://api.g99.co.in/api/v1/courtxnclat/search/orders
Copied!

Request Body Parameters

Type Name Optional Description
String benchId Required Name of the court or bench handling the case. refer to NCLAT Benches API.
String filingNumber Required Unique court case Filing number.
String orderDate Required Date of Order issued or hearing date
String orderType Required Type of the Order (ex.J/D/DC).

Sample Request Payload

request.json
Copied!
{
  "filingNumber": "1234",
  "attachId": "8jLe7LBFBKNDiDpWORq5qn7dbRGx8qtU+SXMI0/4W0oBUg"
}

Request Header Parameters

Type Name Value / Description Optional
String Content-Type application/json Required

Sample Code

request.php
Copied!
$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://api.g99.co.in/api/v1/courtxnclat/search/orders',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
  CURLOPT_POSTFIELDS =>'{
  "filingNumber": "1234",
  "attachId": "8jLe7LBFBKNDiDpWORq5qn7dbRGx8qtU+SXMI0/4W0oBUg"
}',
  CURLOPT_HTTPHEADER => array(
    'Content-Type: application/json'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;
request.py
Copied!
import requests
import json

url = "https://api.g99.co.in/api/v1/courtxnclat/search/orders"

payload = json.dumps({
  "filingNumber": "1234",
  "attachId": "8jLe7LBFBKNDiDpWORq5qn7dbRGx8qtU+SXMI0/4W0oBUg"
})
headers = {
  'Content-Type': 'application/json'
}

response = requests.request("POST", url, headers=headers, data=payload)

print(response.text)
request.cs
Copied!
var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Post, "https://api.g99.co.in/api/v1/courtxnclat/search/orders");
var content = new StringContent("{\r\n  \"filingNumber\": \"1234\",\r\n  \"attachId\": \"8jLe7LBFBKNDiDpWORq5qn7dbRGx8qtU+SXMI0/4W0oBUg\"\r\n}", null, "application/json");
request.Content = content;
var response = await client.SendAsync(request);
response.EnsureSuccessStatusCode();
Console.WriteLine(await response.Content.ReadAsStringAsync());

Error Response

Parameter Type Description
status Number Unique error codes for different errors. Always available.
message String Error message describing the error. Always Available.
error Boolean True / False for different errors. Always available.

Error Codes

HTTP Status Error Code Error Message
400 4001 Malformed data or missing required parameter values.
500 5001 Request could not be processed. Please try again later.

Sample Error Response

response.json
Copied!
{
  "message": "Malformed data or missing required parameter values.",
  "status": 4001,
  "error": True
}